Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 503806 - media-tv/mythtv should depend on sys-fs/udisks:0 if use dvd or use bluray enabled
Summary: media-tv/mythtv should depend on sys-fs/udisks:0 if use dvd or use bluray ena...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: MythTV Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-08 02:12 UTC by Paul B. Henson
Modified: 2016-04-26 16:39 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul B. Henson 2014-03-08 02:12:07 UTC
mythtv tries to use udisks to access DVD's or bluray's, but it's not a dependency. In addition, it requires an older version of udisks, not the latest. If the right version of udisks is not installed, it errors out:

Mar  5 17:17:15 localhost mythfrontend.real: mythfrontend[28119]: A CoreContext 
mediamonitor-unix.cpp:198 (CheckMountable) MMUnix:CheckMountable: DBus interface
 error: The name org.freedesktop.UDisks was not provided by any .service files

The ebuild should include a dependency on udisks:0, potentially conditionally based on whether or not use dvd or use bluray is enabled.
Comment 1 Paul B. Henson 2014-07-19 05:43:27 UTC
I see there are new mythtv ebuilds coming out, any chance you could address this dependency issue in one of them at some point?

Thanks...
Comment 2 Paul B. Henson 2014-12-04 20:19:00 UTC
mythtv 0.27.4 still needs udisks:0, just a ping as far as fixing the ebuild to depend on it. Thanks...
Comment 3 Octavian 2015-02-06 13:20:09 UTC
I have been haunted by the same problem. 


As a side remark: After spending 4 hours on it, I have found the media monitor of mythtv to be quite week.
For me it required an entry in /etc/fstab. Without the entry it would not mount the DVD disk. 
Furthermore, after automatic detection of disk and mounting, the screen with the newly mounted medium is shown, but when trying to play it, fails miserably after waiting 10-20 seconds. 

I realized that there is a better way by letting something else automatically mount any pluggable device.  The mount point should also be added as additional directory to "the Movies". Movies accept list of directories. Unfortunately mythgallery doesn't.


I use XFCE and it's automatic mounting.
Comment 4 Paul B. Henson 2015-08-07 23:24:55 UTC
I don't really use optical media with mythtv either, but just for the sake of correctness it would be nice to get the dependency fixed.
Comment 5 Doug Goldstein gentoo-dev 2015-09-06 03:34:30 UTC
This will be fixed with the next bump to 0.27.5. Sorry for the long delay on fixing this issue.
Comment 6 Doug Goldstein gentoo-dev 2015-09-16 17:58:41 UTC
Thanks for the report. Fixed in http://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9ada29b52010e465a522fdc68d4eee0da6eaa349